Package Details: qt2-git 2.3.2.r54.e33b3d1-1

Git Clone URL: https://aur.archlinux.org/qt2-git.git (read-only, click to copy)
Package Base: qt2-git
Description: Porting Qt2 to modern cmake to use it for KDE 2 port
Upstream URL: https://github.com/sandsmark/qt2
Keywords: qt2
Licenses: GPL2
Conflicts: qt2
Provides: qt2
Submitter: z3ntu
Maintainer: sandsmark
Last Packager: sandsmark
Votes: 0
Popularity: 0.000000
First Submitted: 2017-10-10 17:17
Last Updated: 2021-03-19 13:11

Latest Comments

sandsmark commented on 2021-01-04 13:23

I've done a few fixes, so you might want to switch upstream repo:

commit e410c9ab38588390c258cecba4d82098ac13a87b (HEAD -> master)
  Author: Martin T. H. Sandsmark <martin.sandsmark@kde.org>
  Date:   Mon Jan 4 14:21:35 2021 +0100

      switch upstream repo

  diff --git PKGBUILD PKGBUILD
  index 0586888..b040234 100644
  --- PKGBUILD
  +++ PKGBUILD
  @@ -2,16 +2,16 @@

   pkgname=qt2-git
   _pkgname=qt2
  -pkgver=2.3.2.r40.e354dc4
  +pkgver=2.3.2.r51.cd8f9ec
   _pkgver=2.3.2
   pkgrel=1
   pkgdesc="Porting Qt2 to modern cmake to use it for KDE 2 port"
   arch=('i686' 'x86_64')
  -url="https://github.com/heliocastro/qt2"
  +url="https://github.com/sandsmark/qt2"
   license=("custom:Qt Free Edition License")
   depends=('libxft' 'libsm' 'libgl' 'freeglut' 'libmng' 'libjpeg-turbo' 'libxmu' 'glu')
   makedepends=('git' 'cmake' 'byacc')
  -source=("git+https://github.com/heliocastro/qt2.git")
  +source=("git+https://github.com/sandsmark/qt2.git")
   sha256sums=('SKIP')

   pkgver() {

sandsmark commented on 2020-11-15 16:13

could you add a provides=('qt2') etc. so my kde2-kdebase-git can resolve its dependency?